Bug 2106897 - openshift-tests.[sig-imageregistry][Feature:ImageInfo] Image info should display information about images failing [NEEDINFO]
Summary: openshift-tests.[sig-imageregistry][Feature:ImageInfo] Image info should disp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Oleg Bulatov
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1904679
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-13 19:39 UTC by Cesar Wong
Modified: 2022-09-09 05:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-09 05:15:05 UTC
Target Upstream Version:
bparees: needinfo? (obulatov)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 27321 0 None open Bug 2106897: Remove oc image info test that uses mysql, aligns with 4.7+ version of this test 2022-07-26 19:38:01 UTC
Red Hat Product Errata RHSA-2022:6262 0 None None None 2022-09-09 05:15:33 UTC

Description Cesar Wong 2022-07-13 19:39:08 UTC
Description of problem:
openshift-tests.[sig-imageregistry][Feature:ImageInfo] Image info should display information about images [Suite:openshift/conformance/parallel]
is failing consistently for the past few days:
https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-blocking#periodic-ci-openshift-release-master-nightly-4.6-e2e-aws

Version-Release number of selected component (if applicable):
4.6

How reproducible:
100%

Steps to Reproduce:
1. Run parallel conformance test

Actual results:
Test fails

Expected results:
Test passes

Additional info:
Looks like docker.io is using a manifest list for a repo where the test expects a single manifest:

 oc image info docker.io/library/mysql:latest
error: the image is a manifest list and contains multiple images - use --filter-by-os to select from:

  OS             DIGEST
  linux/amd64    sha256:23d169932f373574358f5b5cc937db71e623a267120b557eb267c85fb12b652f
  linux/arm64/v8 sha256:555e0acff3eb48845d8958583954d0b8912ddc130e854919e708527b5cd08958
<----end of log for "append-test"/"test"

Comment 1 W. Trevor King 2022-07-13 19:43:19 UTC
Bug 1904679 is about this same image in 4.7.0, and there we moved away from docker.io to avoid throttling.  But we may be able to backport that change to 4.6.z and move away from docker.io here to avoid the manifest-list change?

Comment 3 Ben Parees 2022-07-26 18:31:05 UTC
Oleg, you see any reason we can't just backport https://github.com/openshift/origin/pull/25744 to 4.6?

Comment 4 Ben Parees 2022-07-26 18:55:58 UTC
opened https://github.com/openshift/origin/pull/27321 as the backport.

Comment 8 errata-xmlrpc 2022-09-09 05:15:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.61 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:6262


Note You need to log in before you can comment on or make changes to this bug.